package org.dromara.payment.thirdPlatform.xinyujian.config;


import lombok.EqualsAndHashCode;
import org.dromara.payment.thirdPlatform.utils.PaymentConfigBase;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.Map;

@EqualsAndHashCode
@Configuration
@ConfigurationProperties(prefix = "payment.xinyujian")
public class XinyujianConfig extends PaymentConfigBase {
  Map<Long, XinyujianAccountBean> accounts;

  public String toString() {
    return "XinyujianConfig(accounts=" + getAccounts() + ")";
  }
  protected boolean canEqual(Object other) {
    return other instanceof XinyujianConfig;
  }

  public void setAccounts(Map<Long, XinyujianAccountBean> accounts) {
    this.accounts = accounts;
  }

  public Map<Long, XinyujianAccountBean> getAccounts() {
    return this.accounts;
  }
}
